Parte: Ellissoide

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Ellipsoid and the translation is 8% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Previous: Part Plane.svg Plane
Next: Prism Part Prism.svg Arrow-right.svg

Part Ellipsoid.svg Ellissoide

Posizione nel menu
Parte → Crea primitive → Ellissoide
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea Primitive

Descrizione

Il comando Part Ellipsoid.svg Ellissoide command crea un ellissoide solido parametrico.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its DatiAngle1 and/or DatiAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DatiAngle3 property.

Part Ellipsoid Example.png

Utilizzo

See Part Primitives.

Example

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Proprietà

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DatiRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DatiRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DatiRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DatiAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DatiAngle2. The default is -90°.
  • DatiAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DatiAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DatiAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()


Arrow-left.svg Previous: Part Plane.svg Plane
Next: Prism Part Prism.svg Arrow-right.svg